{{ if .Values.jupyter.enabled -}}

apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ template "dask.fullname" . }}-jupyter
  labels:
    app: {{ template "dask.name" . }}
    heritage: {{ .Release.Service | quote }}
    release: {{ .Release.Name | quote }}
    chart: {{ template "dask.chart" . }}
    component: jupyter
spec:
  replicas: {{ .Values.jupyter.replicas }}
  selector:
    matchLabels:
      app: {{ template "dask.name" . }}
      release: {{ .Release.Name | quote }}
      component: jupyter
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: {{ template "dask.name" . }}
        release: {{ .Release.Name | quote }}
        component: jupyter
    spec:
      imagePullSecrets:
        {{- toYaml .Values.jupyter.image.pullSecrets | nindent 8 }}
      containers:
        - name: {{ template "dask.fullname" . }}-jupyter
          image: "{{ .Values.jupyter.image.repository }}:{{ .Values.jupyter.image.tag }}"
          imagePullPolicy: {{ .Values.jupyter.image.pullPolicy }}
          {{- if .Values.jupyter.command }}
          command:
            {{- toYaml .Values.jupyter.command | nindent 12 }}
          {{- end }}
          {{- if .Values.jupyter.args }}
          args:
            {{- toYaml .Values.jupyter.args | nindent 12 }}
          {{- end }}
          ports:
            - containerPort: 8888
          resources:
            {{- toYaml .Values.jupyter.resources | nindent 12 }}
          volumeMounts:
            {{- if .Values.jupyter.mounts.volumeMounts }}
              {{- toYaml .Values.jupyter.mounts.volumeMounts | nindent 12 }}
            {{- end }}
          env:
            - name: DASK_SCHEDULER_ADDRESS
              value: {{ template "dask.fullname" . }}-scheduler:{{ .Values.scheduler.servicePort }}
            {{- if .Values.jupyter.env }}
              {{- toYaml .Values.jupyter.env | nindent 12 }}
            {{- end }}
      volumes:
        {{- if .Values.jupyter.mounts.volumes }}
          {{- toYaml .Values.jupyter.mounts.volumes | nindent 8}}
        {{- end }}
{{- end }}
